Upstream information

CVE-2011-0706 at MITRE

Description

The JNLPClassLoader class in IcedTea-Web before 1.0.1, as used in OpenJDK Runtime Environment 1.6.0, allows remote attackers to gain privileges via unknown vectors related to multiple signers and the assignment of "an inappropriate security descriptor."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 671714 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.2
  • java-1_6_0-openjdk-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-debugsource >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-devel-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-plugin-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.2
openSUSE 11.2
  • java-1_6_0-openjdk >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-demo >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-devel >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-javadoc >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-plugin >= 1.6.0.0_b20.1.9.7-1.2.2
  • java-1_6_0-openjdk-src >= 1.6.0.0_b20.1.9.7-1.2.2
openSUSE 11.3
  • java-1_6_0-openjdk-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-debugsource >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-devel-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-plugin-debuginfo >= 1.6.0.0_b20.1.9.7-1.2.1
openSUSE 11.3
  • java-1_6_0-openjdk >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-demo >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-devel >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-javadoc >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-plugin >= 1.6.0.0_b20.1.9.7-1.2.1
  • java-1_6_0-openjdk-src >= 1.6.0.0_b20.1.9.7-1.2.1